# Ús avançat

## Opcions de la línia d'ordres

Quan s'executa el &appname; des de la línia d'ordres, hi ha diverses opcions per a obrir els fitxers de dades. Es poden veure executant `tellico --help`.

    Ús: tellico [opcions] [nom_fitxer]

    Tellico - un programari per a la gestió de col·leccions, lliure i senzill

    Opcions:
      --nofile         No obris l'últim fitxer obert
      --bibtex         Importa <nom_fitxer> com un fitxer bibtex
      --mods           Importa <nom_fitxer> com un fitxer MODS
      --ris            Importa <nom_fitxer> com un fitxer RIS
      --pdf            Importa <nom_fitxer> com un fitxer PDF

    Arguments:
      [nom_fitxer]         Fitxer a obrir

## Interfície de &DBus;

El &appname; té una interfície de &DBus; mínima, la qual pot ser útil per a crear scripts o interactuar amb una aplicació en execució des de la línia d'ordres. Igual que amb totes les crides de &DBus;, cal que especifiqueu el servei amb el qual voleu interactuar, i la interfície en particular. El nom del servei de &DBus; és `org.kde.tellico`.

### Ordres de &DBus;

Els dos objectes primaris de &DBus; estan disponibles a la interfície tellico: `Tellico` i `Collections`.

#### L'objecte `Tellico`

A continuació es mostra la llista completa d'ordres de &DBus; a l'objecte `tellico`:

    bool importTellico(QString file, QString action)
    bool importBibtex(QString file, QString action)
    bool importMODS(QString file, QString action)
    bool importPDF(QString file, QString action)
    bool importRIS(QString file, QString action)
    bool exportXML(QString file, bool filtered)
    bool exportZip(QString file, bool filtered)
    bool exportBibtex(QString file, bool filtered)
    bool exportHTML(QString file, bool filtered)
    bool exportCSV(QString file, bool filtered)
    QList<int> selectedEntries()
    QList<int> filteredEntries()
    void openFile(QString file)
    void setFilter(QString text)
    bool showEntry(int id)

Per a les quatre ordres d'importació, el primer argument és el fitxer a importar, i el segon és l'acció d'importació. Disposeu de tres accions: replace, append i merge. Hi ha implementats quatre formats de fitxer per a importar: Fitxers &XML; de Tellico, Fitxers de Bibtex, Fitxers de MODS i Fitxers de RIS.

La col·lecció oberta al &appname; es pot exportar a un fitxer, ja sigui en el format &XML; del Tellico, format ZIP del Tellico, Bibtex, &HTML;, o a valors separats per comes (CSV). Les ordres d'exportació prenen un argument opcional per a especificar si la col·lecció s'ha de limitar o no al filtre actual.

Una llista dels identificadors d'entrada seleccionats o filtrada poden mostrar o actualitzar les entrades a la vista.

Podeu obrir un nou fitxer de dades amb l'ordre `openFile()`. Heu d'especificar el camí complet.

Es pot ajustar un nou filtre utilitzant l'ordre `setFilter()`, el qual és l'equivalent a escriure al quadre de filtre a la finestra principal.

Donant un identificador d'entrada, `showEntry()` seleccionarà aquesta entrada i mostrarà els detalls de l'entrada a la finestra principal.

#### L'objecte `Collections`

A continuació es mostra la llista completa d'ordres de &DBus; a l'objecte `Collections`:

    int addEntry()
    bool removeEntry(int entryID)
    QStringList allValues(QString fieldName)
    QStringList entryValues(int entryID, QString fieldName)
    QStringList selectedBibtexKeys()
    QString entryBibtexKey(int entryID)
    bool setEntryValue(int entryID, QString fieldName, QString valor)
    bool addEntryValue(int entryID, QString fieldName, QString valor)

Es pot crear una entrada buida nova a la col·lecció actual utilitzant l'ordre `addEntry()`. El valor retornat és l'identificador de l'entrada, el qual després es pot utilitzar per a ajustar els valors de camp a l'entrada. Una entrada es pot suprimir de la col·lecció cridant `removeEntry()`.

Cridant `allValues()` utilitzant un nom de camp retornarà tots els valors per a aquest camp per a les entrades seleccionades. Si no hi ha entrades seleccionades, la llista retornada estarà buida. Si s'inclou un identificador d'entrada a l'ordre, es retornaran els valors de camp per a aquesta entrada específica.

Si la col·lecció actual és una bibliografia, cridar `selectedBibtexKeys()` retornarà la clau de cita de «Bibtex» per a totes les entrades seleccionades. La bibtexKey per a una entrada específica es pot trobar utilitzant l'ordre `entryBibtexKey()`.

Les entrades es poden editar directament amb la interfície de &DBus;. Donant un identificador d'entrada, `setEntryValue()` establirà el valor del camp directament. Per a afegir un valor sense afectar els ja existents, utilitzeu `addEntryValue()`. El nou valor apareixerà afegit al final de la llista existent.

### Exemples de &DBus;

Aquests són alguns exemples de scripts creats per al &appname; utilitzant la interfície de &DBus;.

    Obre un fitxer de Bibtex
    % qdbus org.kde.tellico /Tellico org.kde.tellico.importBibtex "/home/usuari/referència.bib" "replace"
    true

    Exporta un fitxer de Bibtex
    % qdbus org.kde.tellico /Tellico org.kde.tellico.exportBibtex ~/documents/referència.bib
    true

    Exporta un fitxer de Bibtex emprant el filtre actual
    % qdbus org.kde.tellico /Tellico org.kde.tellico.exportBibtex ~/documents/referència.bib true
    true

    Mostra la clau de cita de la selecció actual
    % qdbus org.kde.tellico /Collections org.kde.tellico.selectedBibtexKeys
    stephenson2004

    Afegeix una nova entrada i estableix el títol
    % myid=`qdbus org.kde.tellico /Collections org.kde.tellico.addEntry`
    % qdbus org.kde.tellico /Collections org.kde.tellico.setEntryValue $myid title "El meu nou llibre"
    true